Bug 237330 - Review Request: perl-Crypt-OpenSSL-AES -- Perl OpenSSL bindings for AES support
Review Request: perl-Crypt-OpenSSL-AES -- Perl OpenSSL bindings for AES support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 16:32 EDT by Wes Hardaker
Modified: 2010-09-14 00:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 19:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-04-20 16:32:05 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-AES.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-AES.spec
Description:  A Perl wrapper around OpenSSL's AES library

I'm currently not a sponsored member, though so I need a sponsor.
Comment 2 Jason Tibbitts 2007-05-06 23:53:19 EDT
Let me take a look at a few of these packages.
Comment 3 Jason Tibbitts 2007-05-07 00:39:46 EDT
Not a very good start, I'm afraid.  This one fails to build for me, and in a
manner that makes me wonder if you tried to build the package yourself.

First off, it should have BuildRequires: openssl-devel in order to bring the
openssl headers necessary for compiling.

Once that's done, the %files section of the spec is that from  a noarch package,
but this one is arch-specific.  You need to delete the perl_vendorlib bit and
replace it with:
  %{perl_vendorarch}/auto/*
  %{perl_vendorarch}/Crypt/

The explicit dependency on openssl is unnecessary; rpm will automatically find a
dependency on libcrypto.so.6, which happens to be satisfied by openssl.
Comment 4 Wes Hardaker 2007-05-08 16:53:32 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-AES.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-AES-0.01-2.src.rpm

Problems all fixed.  It did build just fine on my system, as I had openssl-devel
installed (and you're right, it should have been listed) and perl_vendorarch is
below perl_vendorlib, so the perl_vendorlib expression caught all the files anyway.

I did change it to your recommended convention.
Comment 5 Jason Tibbitts 2007-05-09 18:50:45 EDT
Sorry, I saw the cascading build failures and misinterpreted them.

Indeed, perl_vendorlib would have pulled in all of the files, but would also
have had you owning the perl_vendorarch directory, which would have been
problematic.

Things look better now.

I note that Source0: seems wrong.  You have 
http://search.cpan.org/authors/id/I/IR/IROBERTS/Crypt-OpenSSL-AES-%{version}.tar.gz
but that only results in an error.  CPAN indicates it should be 
http://search.cpan.org/CPAN/authors/id/T/TT/TTAR/Crypt-OpenSSL-AES-%{version}.tar.gz

I've used the latter so that I can fetch the upstream sources.

You'll need to add BuildRequires: perl(ExtUtils::MakeMaker), perl(Test::More) to
cope with the perl-devel split.  (See the end of 
http://fedoraproject.org/wiki/Packaging/Perl.  Actually, Test::More is still in
the base Perl package but I'm not sure if the plans are to keep it there.)  


* source files match upstream:
   83c1c438ef394fb9c9925805a07dce9865794e79df8ca19686c8548cd99fca97  
   Crypt-OpenSSL-AES-0.01.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
X BuildRequires missing
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   AES.so()(64bit)
   perl(Crypt::OpenSSL::AES) = 0.01
   perl-Crypt-OpenSSL-AES = 0.01-2.fc7
  =
   libcrypto.so.6()(64bit)
   perl >= 0:5.008005
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(XSLoader)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=4,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.
Comment 6 Wes Hardaker 2007-05-14 18:02:29 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-AES.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-AES-0.01-3.src.rpm

* Mon May 14 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.01-3
- BuildRequire perl(Test::More), perl(ExtUtils::MakeMaker)
Comment 7 Jason Tibbitts 2007-05-15 14:29:47 EDT
Source URL is fine now, and the build-time dependencies look good.

APPROVED
Comment 8 Wes Hardaker 2007-05-22 16:26:34 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-AES
Short Description: Perl OpenSSL bindings for AES support
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC: 
Comment 9 Tom "spot" Callaway 2007-05-22 18:02:00 EDT
CVS done
Comment 10 Wes Hardaker 2010-09-13 14:47:10 EDT
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-AES
New Branches: el5 el6
Owners: hardaker
Comment 11 Kevin Fenzi 2010-09-14 00:19:38 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.